Bollinger Bands
bollinger-bands
Chart: Bollinger Bands
Parameters
| Name | Type | Description | Required |
|---|---|---|---|
start_date | string | Start date in YYYY-MM-DD format | No |
end_date | string | End date in YYYY-MM-DD format | No |
latest | bool | If true, returns the current value | No |
Output
| Index | Name | Type | Description |
|---|---|---|---|
| 0 | date | string | Date (ISO) |
| 1 | upper_band | string | Upper band (sma20 + 2*stddev) |
| 2 | lower_band | string | Lower band (sma20 - 2*stddev) |
| 3 | standard_deviation | string | Standard deviation |
| 4 | field_20_day_sma | string | 20-day SMA |
Example Request
https://charts.bitbo.io/api/v1/bollinger-bands/?start_date=2026-04-06&end_date=2026-04-08
Example Request with Latest
https://charts.bitbo.io/api/v1/bollinger-bands/?latest=true
Code Samples
- cURL
- Python
- JavaScript
- Go
curl "https://charts.bitbo.io/api/v1/bollinger-bands/?start_date=2026-04-06&end_date=2026-04-08&api_key=YOUR_API_KEY"
import requests
url = "https://charts.bitbo.io/api/v1/bollinger-bands/"
params = {
"start_date": "2026-04-06",
"end_date": "2026-04-08",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
data = response.json()
print(data)
const url = "https://charts.bitbo.io/api/v1/bollinger-bands/";
const params = new URLSearchParams({
start_date: "2026-04-06",
end_date: "2026-04-08",
api_key: "YOUR_API_KEY"
});
const response = await fetch(`${url}?${params}`);
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://charts.bitbo.io/api/v1/bollinger-bands/?start_date=2026-04-06&end_date=2026-04-08&api_key=YOUR_API_KEY", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Example Output
{
"data": [
[
"2026-04-06",
"72935.926397104770",
"64679.285983847610",
"2064.160103314290",
"68807.606190476190"
],
[
"2026-04-07",
"72425.253555967874",
"65003.813015460698",
"1855.360135126794",
"68714.533285714286"
],
[
"2026-04-08",
"72399.083218496558",
"65016.225352932014",
"1845.714466391136",
"68707.654285714286"
]
]
}